Open CASCADE Technology: Graphic3d_MarkerImage Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Graphic3d_MarkerImage Class Reference

This class is used to store bitmaps and images for markers rendering. It can convert bitmap texture stored in TColStd_HArray1OfByte to Image_PixMap and vice versa. More...

`#include <Graphic3d_MarkerImage.hxx>`

Inheritance diagram for Graphic3d_MarkerImage:
[legend]

## Public Member Functions
| Graphic3d_MarkerImage (const Handle< Image_PixMap > &theImage)
| Graphic3d_MarkerImage (const Handle< TColStd_HArray1OfByte > &theBitMap, const Standard_Integer &theWidth, const Standard_Integer &theHeight)
| Creates marker image from array of bytes (method for compatibility with old markers definition). More...
Handle< TColStd_HArray1OfByte > | GetBitMapArray (const Standard_Real &theAlphaValue=0.5) const
const Handle< Image_PixMap > & | GetImage ()
const Handle< Image_PixMap > & | GetImageAlpha ()
const TCollection_AsciiString & | GetImageId () const
const TCollection_AsciiString & | GetImageAlphaId () const
void | GetTextureSize (Standard_Integer &theWidth, Standard_Integer &theHeight) const
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual void | Delete () const
| Memory deallocator for transient classes. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

This class is used to store bitmaps and images for markers rendering. It can convert bitmap texture stored in TColStd_HArray1OfByte to Image_PixMap and vice versa.

## Constructor & Destructor Documentation

Graphic3d_MarkerImage::Graphic3d_MarkerImage | ( | const Handle< Image_PixMap > & | theImage | ) |

Parameters

  theImage | - source image

Graphic3d_MarkerImage::Graphic3d_MarkerImage | ( | const Handle< TColStd_HArray1OfByte > & | theBitMap,
|  | const Standard_Integer & | theWidth,
|  | const Standard_Integer & | theHeight
| ) |  |

Creates marker image from array of bytes (method for compatibility with old markers definition).

Parameters

  theBitMap | - source bitmap stored as array of bytes
  theWidth | - number of bits in a row
  theHeight | - number of bits in a column

## Member Function Documentation

Handle< TColStd_HArray1OfByte > Graphic3d_MarkerImage::GetBitMapArray | ( | const Standard_Real & | theAlphaValue = `0.5` | ) | const

Parameters

  theAlphaValue | pixels in the image that have alpha value greater than or equal to this parameter will be stored in bitmap as "1", others will be stored as "0"

Returns
  marker image as array of bytes. If an instance of the class has been initialized with image, it will be converted to bitmap based on the parameter theAlphaValue.

const Handle< Image_PixMap >& Graphic3d_MarkerImage::GetImage | ( |  | ) |

Returns
  marker image. If an instance of the class has been initialized with a bitmap, it will be converted to image.

const Handle< Image_PixMap >& Graphic3d_MarkerImage::GetImageAlpha | ( |  | ) |

Returns
  image alpha as grayscale image. Note that if an instance of the class has been initialized with a bitmap or with grayscale image this method will return exactly the same image as GetImage()

const TCollection_AsciiString& Graphic3d_MarkerImage::GetImageAlphaId | ( |  | ) | const

Returns
  an unique ID. This ID will be used to manage resource in graphic driver.

const TCollection_AsciiString& Graphic3d_MarkerImage::GetImageId | ( |  | ) | const

Returns
  an unique ID. This ID will be used to manage resource in graphic driver.

void Graphic3d_MarkerImage::GetTextureSize | ( | Standard_Integer & | theWidth,
|  | Standard_Integer & | theHeight
| ) |  | const

Returns
  texture size

The documentation for this class was generated from the following file:

- Graphic3d_MarkerImage.hxx